<ul class="list-group">
    <li class="list-group-item">
        <h5>Imprimir Códigos</h5>
        <?php
            $this->load->view('productos/selector_productos');
        ?>
    </li>
    <li class="list-group-item text-right">
        <a class="btn btn-primary imprimir-precios" target="_blank" href="productos/imprimir_precios/" id="imprimirPrecios"><i class="fas fa-dollar-sign"></i> Imprimir Precios</a>
        <a class="btn btn-info imprimir-codigos" target="_blank" href="productos/imprimir_codigos/" id="imprimirCodigos"><i class="fas fa-barcode"></i> Imprimir Códigos</a>
    </li>
</ul>

<script>
$(document).ready(function() {
    $(document).on('click', '.imprimir-codigos', function(evt) {
        evt.preventDefault();
        let ids = '';
        let guion = '';
        //Recorrer listado de productos creando link para abrir
        $('.lista-productos').find('.producto-existente').each(function() {
            let producto = $(this);
            
            let cant = producto.find('.input-cantidad').val();
            let id = producto.data('id');

            for (let step = 0; step < cant; step++) {
                ids = ids + guion + id;
                guion = '-';
            }
        });

        if (guion != '') {
            let enlace = 'productos/imprimir_codigos/' + ids;
            window.open(enlace, "_blank");
        }

        console.log(codigos);
        let enlace = 'productos/imprimir_codigos/' + codigos;
        window.open(enlace, "_blank");
    });

    $(document).on('click', '.imprimir-precios', function(evt) {
        evt.preventDefault();
        let ids = '';
        let guion = '';
        //Recorrer listado de productos creando link para abrir
        $('.lista-productos').find('.producto-existente').each(function() {
            let producto = $(this);
            
            let cant = producto.find('.input-cantidad').val();
            let id = producto.data('id');

            for (let step = 0; step < cant; step++) {
                ids = ids + guion + id;
                guion = '-';
            }
        });

        if (guion != '') {
            let enlace = 'productos/imprimir_precios/' + ids;
            window.open(enlace, "_blank");
        }
    });
});
</script>